> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 비디오 생성 작업 조회

> Seedance 2.0 New GET /api/v3/contents/generations/tasks/{id}

## 소개

작업 `id`로 상태 및 결과를 조회합니다. BytePlus Ark 공식 조회 인터페이스와 응답 본문이 동일합니다.

## 인증

<ParamField header="Authorization" type="string" required>
  Bearer Token, 예: `Bearer sk-your_token_key`
</ParamField>

## 경로 매개변수

<ParamField path="id" type="string" required>
  작업 생성 시 반환된 `id`
</ParamField>

## 상태 설명

| 필드       | 설명                                                                      |
| -------- | ----------------------------------------------------------------------- |
| `status` | `queued` / `running` / `cancelled` / `succeeded` / `failed` / `expired` |
| `error`  | 실패 시 `null`이 아님: `{"code": "...", "message": "..."}`                    |

## 요청 예제

```bash theme={null}
curl https://api.gravitex.ai/api/v3/contents/generations/tasks/cgt-20260708094649-mxfjc \
  -H "Authorization: Bearer sk-your_token_key"
```

## 응답 예제

```json theme={null}
{
  "id": "cgt-20260708094649-mxfjc",
  "model": "seedance-2-0",
  "status": "succeeded",
  "error": null,
  "created_at": 1783475210,
  "updated_at": 1783475364,
  "content": {
    "video_url": "https://...",
    "last_frame_url": "https://..."
  },
  "seed": 11,
  "resolution": "720p",
  "ratio": "16:9",
  "duration": 5,
  "generate_audio": true,
  "safety_identifier": "user-hash-abc",
  "service_tier": "default",
  "execution_expires_after": 172800,
  "usage": {
    "completion_tokens": 40594,
    "total_tokens": 40594
  }
}
```
